Index: freebsd/contrib/wpa/src/rsn_supp/tdls.c
===================================================================
--- freebsd/contrib/wpa/src/rsn_supp/tdls.c	(revision b0f0b2f493c6f397d1fcaa3cfef13eb919f0ec74)
+++ freebsd/contrib/wpa/src/rsn_supp/tdls.c	(revision bdc4f21c530da8e6441af4e2b48c12114008ccae)
@@ -25,4 +25,5 @@
 #include "l2_packet/l2_packet.h"
 
+#if defined(__rtems__) && defined(CONFIG_TDLS)
 #ifdef CONFIG_TDLS_TESTING
 #define TDLS_TESTING_LONG_FRAME BIT(0)
@@ -3009,2 +3010,3 @@
 	return 0;
 }
+#endif /* __rtems__ && CONFIG_TDLS */
Index: freebsd/contrib/wpa/wpa_supplicant/wnm_sta.c
===================================================================
--- freebsd/contrib/wpa/wpa_supplicant/wnm_sta.c	(revision b0f0b2f493c6f397d1fcaa3cfef13eb919f0ec74)
+++ freebsd/contrib/wpa/wpa_supplicant/wnm_sta.c	(revision bdc4f21c530da8e6441af4e2b48c12114008ccae)
@@ -27,4 +27,5 @@
 #define WNM_MAX_NEIGHBOR_REPORT 10
 
+#if defined(__rtems__) && defined(CONFIG_WNM)
 
 /* get the TFS IE from driver */
@@ -1149,2 +1150,3 @@
 	}
 }
+#endif /* __rtems__ && CONFIG_WNM */
Index: libbsd.py
===================================================================
--- libbsd.py	(revision b0f0b2f493c6f397d1fcaa3cfef13eb919f0ec74)
+++ libbsd.py	(revision bdc4f21c530da8e6441af4e2b48c12114008ccae)
@@ -4055,7 +4055,13 @@
             'contrib/wpa/src/ap/ieee802_11_auth.h',
             'contrib/wpa/src/ap/p2p_hostapd.h',
+            'contrib/wpa/src/ap/pmksa_cache_auth.h',
             'contrib/wpa/src/ap/sta_info.h',
+            'contrib/wpa/src/ap/wpa_auth.h',
+            'contrib/wpa/src/ap/wpa_auth_i.h',
+            'contrib/wpa/src/ap/wpa_auth_ie.h',
+            'contrib/wpa/src/ap/wmm.h',
             'contrib/wpa/src/utils/includes.h',
             'contrib/wpa/src/utils/base64.h',
+            'contrib/wpa/src/utils/bitfield.h',
             'contrib/wpa/src/utils/build_config.h',
             'contrib/wpa/src/utils/common.h',
@@ -4123,4 +4129,5 @@
             'contrib/wpa/src/crypto/aes.h',
             'contrib/wpa/src/crypto/sha256_i.h',
+            'contrib/wpa/src/eapol_auth/eapol_auth_sm.h',
             'contrib/wpa/src/eapol_supp/eapol_supp_sm.h',
             'contrib/wpa/src/eap_peer/eap_config.h',
@@ -4142,4 +4149,5 @@
             'contrib/wpa/src/eap_server/eap_methods.h',
             'contrib/wpa/src/eapol_supp/eapol_supp_sm.h',
+            'contrib/wpa/src/radius/radius.h',
             'contrib/wpa/src/tls/tlsv1_client.h',
             'contrib/wpa/src/tls/tlsv1_cred.h',
@@ -4167,4 +4175,5 @@
             'contrib/wpa/wpa_supplicant/scan.c',
             'contrib/wpa/wpa_supplicant/wmm_ac.c',
+            'contrib/wpa/wpa_supplicant/wnm_sta.c',
             'contrib/wpa/wpa_supplicant/wpa_supplicant.c',
             'contrib/wpa/wpa_supplicant/wpas_glue.c',
@@ -4173,4 +4182,6 @@
             'contrib/wpa/src/ap/hs20.c',
             'contrib/wpa/src/ap/ieee802_11_shared.c',
+            'contrib/wpa/src/ap/wpa_auth.c',
+            'contrib/wpa/src/ap/wpa_auth_ft.c',
             'contrib/wpa/src/utils/base64.c',
             'contrib/wpa/src/utils/common.c',
@@ -4210,4 +4221,5 @@
             'contrib/wpa/src/rsn_supp/pmksa_cache.c',
             'contrib/wpa/src/rsn_supp/preauth.c',
+            'contrib/wpa/src/rsn_supp/tdls.c',
             'contrib/wpa/src/rsn_supp/wpa.c',
             'contrib/wpa/src/rsn_supp/wpa_ft.c',
Index: libbsd_waf.py
===================================================================
--- libbsd_waf.py	(revision b0f0b2f493c6f397d1fcaa3cfef13eb919f0ec74)
+++ libbsd_waf.py	(revision bdc4f21c530da8e6441af4e2b48c12114008ccae)
@@ -1410,4 +1410,6 @@
                      'freebsd/contrib/wpa/src/ap/hs20.c',
                      'freebsd/contrib/wpa/src/ap/ieee802_11_shared.c',
+                     'freebsd/contrib/wpa/src/ap/wpa_auth.c',
+                     'freebsd/contrib/wpa/src/ap/wpa_auth_ft.c',
                      'freebsd/contrib/wpa/src/common/gas.c',
                      'freebsd/contrib/wpa/src/common/hw_features_common.c',
@@ -1456,4 +1458,5 @@
                      'freebsd/contrib/wpa/src/rsn_supp/pmksa_cache.c',
                      'freebsd/contrib/wpa/src/rsn_supp/preauth.c',
+                     'freebsd/contrib/wpa/src/rsn_supp/tdls.c',
                      'freebsd/contrib/wpa/src/rsn_supp/wpa.c',
                      'freebsd/contrib/wpa/src/rsn_supp/wpa_ft.c',
@@ -1499,4 +1502,5 @@
                      'freebsd/contrib/wpa/wpa_supplicant/scan.c',
                      'freebsd/contrib/wpa/wpa_supplicant/wmm_ac.c',
+                     'freebsd/contrib/wpa/wpa_supplicant/wnm_sta.c',
                      'freebsd/contrib/wpa/wpa_supplicant/wpa_supplicant.c',
                      'freebsd/contrib/wpa/wpa_supplicant/wpas_glue.c',
